
<ion-content>
  <ion-grid style="height: 100%">
    <ion-row style="justify-content: center; height: 100%">
      <ion-col size="10" style="align-self: center">
        <ion-card style="padding: 2rem">
          <form (ngSubmit)="onSubmit(f)" #f="ngForm">
            <div [formGroup]="graduationGroup">
              <ion-item>
                <ion-label>Compétences</ion-label>
                <ion-select required value="{{skillSelected.id}}" id="skill" class="form-control" formControlName="skill" name="skill" ngModel placeholder="Sélectionnez un compétence">
                  <ion-select-option *ngFor="let skill of skillList" value="{{skill.id}}">{{skill.name}}</ion-select-option>
                </ion-select>
              </ion-item>

              <ion-item>
                <ion-label>Promo</ion-label>
                <ion-select required value="{{promotionSelected.id}}" (ionChange)="changePromo($event)" id="promo" class="form-control" formControlName="promo" name="promo" ngModel  placeholder="Sélectionnez une promo">
                  <ion-select-option *ngFor="let promo of promotionList" value="{{promo.id}}">{{promo.name}}</ion-select-option>
                </ion-select>
              </ion-item>

              <ion-item>
                <ion-label>Eleve</ion-label>
                <ion-select required id="student" class="form-control" formControlName="student" name="student" ngModel  placeholder="Sélectionnez un eleve">
                  <ion-select-option *ngFor="let student of studentList" value="{{student.id}}">{{student.firstname}} {{student.lastname}}</ion-select-option>
                </ion-select>
              </ion-item>

              <ion-item>
                <ion-label>Statut</ion-label>
                <ion-select required id="statut" class="form-control" formControlName="statut" name="statut" ngModel placeholder="Sélectionnez un statut">
                  <ion-select-option value="success">Acquise</ion-select-option>
                  <ion-select-option value="warning">En cours d'acquisition</ion-select-option>
                  <ion-select-option value="danger">Non acquise</ion-select-option>
                </ion-select>
              </ion-item>
            </div>
            <div style="padding-top: 2rem; margin-right: 1rem; margin-left: 1rem; padding-bottom: 2rem;">
              <ion-button expand="block" size="medium" color="success" type="submit">Evaluer</ion-button>
            </div>

          </form>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
